php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #14904 configuring apache with php4
Submitted: 2002-01-07 06:56 UTC Modified: 2002-07-19 01:00 UTC
Votes:6
Avg. Score:5.0 ± 0.0
Reproduced:5 of 5 (100.0%)
Same Version:2 (40.0%)
Same OS:3 (60.0%)
From: b dot benjlil at ocpgroup dot ma Assigned:
Status: No Feedback Package: Compile Failure
PHP Version: 4.1.1 OS: AIX 4.3.3
Private report: No CVE-ID: None
Have you experienced this issue?
Rate the importance of this bug to you:

 [2002-01-07 06:56 UTC] b dot benjlil at ocpgroup dot ma
Materiel : IBM RS6000
OS : AIX 4.3.3
Compiler : IBM cc

I have apache v 1.3.20 in /usr/apache and i want to install php module.
I give the last version of php 4.1.1 but in the installation, I occurs some problems with apache.

Procedure : 

Installation of PHP module :

# /sauvegarde/tools/php-4.1.1> ./configure ?with-oci8=/envpat/oracle/patdb/8.1.6 ?with-oracle=/envpat/oracle/patdb/8.1.6 ?with-apache=../apache_1.3.20 ?enable-track-vars

# /sauvegarde/tools/php-4.1.1>make

# /sauvegarde/tools/php-4.1.1>make install

this commands passed with success.

But when I want to configure apache for adding php4 module

Configuring apache :

# /sauvegarde/tools/apache_1.3.20 >./configure --prefix=/usr/apache --activate-module=src/modules/php4/libphp4.a
Configuring for Apache, Version 1.3.20
 + using installation path layout: Apache (config.layout)
 + activated php4 module (modules/php4/libphp4.a)
Creating Makefile
Creating Configuration.apaci in src
Creating Makefile in src
 + configured for IBM AIX 4.3 platform
 + setting C compiler to cc
 + setting C pre-processor to cc -E
 + checking for system header files
 + adding selected modules
    o php4_module uses ConfigStart/End
 + checking sizeof various data types
 + doing sanity check on compiler and options
Creating Makefile in src/support
Creating Makefile in src/os/unix
Creating Makefile in src/ap
Creating Makefile in src/main
Creating Makefile in src/lib/expat-lite
Creating Makefile in src/modules/standard
Creating Makefile in src/modules/php4

# make
----
----
-----

<=== src/modules
        cc -c  -I./os/unix -I./include   -DAIX=43 -DUSE_PTHREAD_SERIALIZED_ACCEP
-I/sauvegarde/tools/php-4.1.1 -I/sauvegarde/tools/php-4.1.1/main -I/sauvegarde/t
auvegarde/tools/php-4.1.1/Zend -I/sauvegarde/tools/php-4.1.1/TSRM -I/sauvegarde/
PAT -I./lib/expat-lite -DNO_DL_NEEDED `./apaci` modules.c
        cc -c  -I./os/unix -I./include   -DAIX=43 -DUSE_PTHREAD_SERIALIZED_ACCEP
-I/sauvegarde/tools/php-4.1.1 -I/sauvegarde/tools/php-4.1.1/main -I/sauvegarde/t
auvegarde/tools/php-4.1.1/Zend -I/sauvegarde/tools/php-4.1.1/TSRM -I/sauvegarde/
PAT -I./lib/expat-lite -DNO_DL_NEEDED `./apaci` buildmark.c
        cc  -DAIX=43 -DUSE_PTHREAD_SERIALIZED_ACCEPT -U__STR__ -DAIX_BIND_PROCES
 -I/sauvegarde/tools/php-4.1.1/main -I/sauvegarde/tools/php-4.1.1/main -I/sauveg
d -I/sauvegarde/tools/php-4.1.1/TSRM -I/sauvegarde/tools/php-4.1.1/TSRM -I/sauve
L_NEEDED `./apaci` -lm -lpthread -ma   -o httpd buildmark.o modules.o  modules/p
.a  ./os/unix/libos.a  ap/libap.a  lib/expat-lite/libexpat.a  -R/envpat/oracle/p
php4 -L../modules/php4 -L../../modules/php4 -lmodphp4   -ldl -lld -lbsd_r -lm -l
l  -lcrypt -lclntsh -lclntsh  
ld : 0706-027 the -R /envpat/oracle/patdb/8.1.6/lib flag is ignored
ld : 0711-317 ERREUR : Symbol not defined : .alloca
ld : 0711-345 Pour plus de d tails, utilisez
        l'option -bloadmap ou -bnoquiet.
make : 1254-004 Code d'erreur de la derni re commande : 8.


Arr?t.
make : 1254-004 Code d'erreur de la derni re commande : 2.


Arr?t.
make : 1254-004 Code d'erreur de la derni re commande : 2.


Arr?t.

Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2002-01-07 08:32 UTC] b dot benjlil at ocpgroup dot ma
ld : 0706-027 the -R /envpat/oracle/patdb/8.1.6/lib flag is ignored
ld: 0711-317 ERROR: Undefined symbol: .alloca
ld: 0711-345 Use the -bloadmap or -bnoquiet option to obtain more information.
make: 1254-004 The error code from the last command : 8.
stop?
make : 1254-004 The error code from the last command : 2.
stop?
make : 1254-004 The error code from the last command : 2.
stop?

 [2002-03-06 15:43 UTC] sbeard at sdps dot org
Im having the exact same problem when trying to install php 4.1.1 everything works fine until I get to the make install part and I get this.

ld: 0711-317 ERROR: Undefined symbol: .alloca
ld: 0711-345 Use the -bloadmap or -bnoquiet option to obtain more
information.
make: 1254-004 The error code from the last command : 8.
stop.
make : 1254-004 The error code from the last command : 1.
stop.
 [2002-06-18 04:39 UTC] derick@php.net
Which version of libtool do you run, and does the problem still occur with PHP 4.2.1?

Derick
 [2002-07-19 01:00 UTC] php-bugs at lists dot php dot net
No feedback was provided for this bug for over a month, so it is
being suspended automatically. If you are able to provide the
information that was originally requested, please do so and change
the status of the bug back to "Open".
 
PHP Copyright © 2001-2019 The PHP Group
All rights reserved.
Last updated: Wed Apr 24 19:01:25 2019 UTC